Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.trmi
Class SubTxAwareWrapper

    java.lang.Object
      com.atomikos.icatch.trmi.SubTxAwareWrapper

All Implemented Interfaces:
  SubTxAwareParticipant, Serializable

    public class SubTxAwareWrapper

extends Object
implements SubTxAwareParticipant

Copyright © 2001, Atomikos. All rights reserved. A wrapper for adding an exported SubTxAwareParticipant instance on a client VM that is different from the server VM. In general, this will be the preferred class to wrap an implementation of RemoteSubTxAware with before adding to the composite transaction. NOTE: the wrapped instance should be EXPORTED before wrapping it and adding it to the transaction! Otherwise, the callbacks will NOT work as expected.

See Also:
  Serialized Form

Constructor Summary
`SubTxAwareWrapper(RemoteSubTxAware remote)`

Method Summary
`void` | `committed(CompositeTransaction tx)` Notification of termination.
`void` | `rolledback(CompositeTransaction tx)` Notification that some tx has been rolledback.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubTxAwareWrapper

    public SubTxAwareWrapper(RemoteSubTxAware remote)

Method Detail

### committed

    public void committed(CompositeTransaction tx)

  Description copied from interface: `SubTxAwareParticipant`
  Notification of termination.

  Specified by:
    `committed` in interface `SubTxAwareParticipant`
  Parameters:
    `tx` - The composite transaction that has terminated locally at its node.
  See Also:
    `SubTxAwareParticipant`

### rolledback

    public void rolledback(CompositeTransaction tx)

  Description copied from interface: `SubTxAwareParticipant`
  Notification that some tx has been rolledback.

  Specified by:
    `rolledback` in interface `SubTxAwareParticipant`
  See Also:
    `SubTxAwareParticipant`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.